Getting started
Quickstart
Get an API key and send your first request in a few minutes.
1. Create an API key
In the OrbisCommerce dashboard, go to Settings → API and create a new key.
2. Send your first request
curl https://api.orbiscommerce.com/v1/shipments \
-H "Authorization: Bearer $ORBISCOMMERCE_API_KEY"const res = await fetch("https://api.orbiscommerce.com/v1/shipments", {
headers: { Authorization: `Bearer ${process.env.ORBISCOMMERCE_API_KEY}` },
});
const shipments = await res.json();$ch = curl_init("https://api.orbiscommerce.com/v1/shipments");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer " . getenv("ORBISCOMMERCE_API_KEY"),
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$shipments = json_decode(curl_exec($ch), true);3. Check the response
Response
{
"data": [],
"has_more": false
}